package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Srm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.Map;
import java.util.List;

@Mapper
public interface SrmMapper {

    int insert(Srm record);

    int insertSelective(Srm record);

    int updateByPrimaryKeySelective(Srm record);

    int updateByPrimaryKey(Srm record);

    int deleteByPrimaryKey(Srm record);

    int deleteByIds(Collection<Object> collection);

    Srm selectByPrimaryKey(Srm record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Srm> dyncRead(Map<String,Object> dyncMap);

    int selectCount(@Param("datas_") Date datas_, @Param("djuref")String djuref,
                    @Param("djuusr")String djuusr, @Param("djudat")Date djudat);

    Srm selectByTrninr(Srm record);

    int selectCountByVo(@Param("date") Date date, @Param("vo") Srm vo);

    Srm selectByVo(@Param("vo") Srm vo);

    Srm selectByObjinrAndObjtyp(@Param("objinr")String objinr, @Param("objtyp")String objtyp);

}